Bug 1963848 - Use OS-shipped stalld vs. the NTO-shipped one.
Summary: Use OS-shipped stalld vs. the NTO-shipped one.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node Tuning Operator
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Jiří Mencák
QA Contact: Simon
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-24 08:04 UTC by Jiří Mencák
Modified: 2021-07-27 23:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:09:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-node-tuning-operator pull 226 0 None open Bug 1963848: Use OS-shipped stalld vs. the NTO-shipped one. 2021-05-24 08:05:48 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:10:03 UTC

Description Jiří Mencák 2021-05-24 08:04:22 UTC
Description of problem:
Recent versions of CoreOS started shipping stalld 1.9 and will continue to ship maintained stalld versions.  NTO currently also ships a hard-coded version of stalld not subject to any upgrades/maintenance.  This also comes with other problems such as enabling/disabling stalld selectively based on additional TuneD functionality such as uname_regex.  We need to switch to the CoreOS-shipped stalld version.

Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Additional info:
https://github.com/openshift/cluster-node-tuning-operator/pull/226

Comment 2 Simon 2021-05-26 17:24:17 UTC
cluster version: 4.8.0-0.nightly-2021-05-26-071911
sh-4.4# stalld --version
1.9

Comment 5 errata-xmlrpc 2021-07-27 23:09:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.